Subject: Re: Speed up git-svn fetch

From: Eric Wong <[email-masked]>
Date: Fri, 25 Apr 2008 00:15:40 -0700

Adam Roben <[email-masked]> wrote:
> Adam Roben wrote:
> >I first sent this patch series 6 months ago today [1], then resent it after
> >some comments from Junio, Johannes, and Brian [2].
> 
> Here are those links:
> 
> [1] http://thread.gmane.org/gmane.comp.version-control.git/62098/focus=62102
> [2] http://thread.gmane.org/gmane.comp.version-control.git/62295/focus=62298

Thanks for following up on this, the Perl bits look good to me[1].

I commented in a separate email about the shell incompatibilities
I experienced.

I still the following gcc warnings when building it:

> hash-object.c: In function 'hash_stdin_paths':
> hash-object.c:43: warning: implicit declaration of function 'unquote_c_style'

Trivial fix:
--- a/hash-object.c
+++ b/hash-object.c
@@ -6,6 +6,7 @@
  */
 #include "cache.h"
 #include "blob.h"
+#include "quote.h"

> hash-object.c:51: warning: control reaches end of non-void function

This can probably just be a void.

> builtin-cat-file.c: In function 'cmd_cat_file':
> builtin-cat-file.c:224: warning: suggest parentheses around && within ||

Ugh, you added long (>80 char) lines to this and I'm having trouble
following it.  I believe the git (like Linux) coding style calls for 80
char lines unless there is really no other way[2].  This is also a
problem for me in some of the shell tests, too.

> builtin-cat-file.c:151: warning: 'contents' may be used uninitialized in this function

gcc isn't smart here.

[1] - disclaimer, I'm not in my best mental state at this point in the
night/morning so maybe some things have slipped :)

[2] - Looking at your email address, I notice you work for a company that
pushes widescreen monitors, but I remain firmly on the side of dead tree
publishers whom I believe got line-wrapping right centuries ago :)

-- 
Eric Wong